Bug 1165553 - czmq: Please build against zeromq-4
Summary: czmq: Please build against zeromq-4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: czmq
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1045884
TreeView+ depends on / blocked
 
Reported: 2014-11-19 07:55 UTC by Thomas Spura
Modified: 2015-02-21 12:15 UTC (History)
1 user (show)

Fixed In Version: czmq-2.2.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-21 12:15:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Spura 2014-11-19 07:55:33 UTC
Please rebuild against the zeromq package, which now contains the version 4 of zeromq.

I intent to retire zeromq3, once all dependencies have been ported to zeromq-4.

Comment 1 Thomas Spura 2015-02-04 10:56:32 UTC
Could this be done please?
According to upstream [1], the 4.x series is supported:
"Supports libzmq v2.x, v3.x, and v4.x."

[1] http://czmq.zeromq.org/

Comment 2 Jose Pedro Oliveira 2015-02-21 00:04:53 UTC
Thomas,

I've update czmq to version 2.2.0 and as of release 3 (czmq-2.2.0-3) it is built against ZeroMQ v4.

 * czmq-2.2.0-3.fc23 - http://koji.fedoraproject.org/koji/buildinfo?buildID=613514
 * czmq-2.2.0-3.fc22 - http://koji.fedoraproject.org/koji/buildinfo?buildID=613515

/jpo

Comment 3 Thomas Spura 2015-02-21 12:15:23 UTC
Great, thanks!


Note You need to log in before you can comment on or make changes to this bug.